Subject: Re: linux-next: build warning after merge of the btrfs-kdave tree

From: Christoph Hellwig <[email-masked]>
Date: Mon, 26 Nov 2018 08:56:11 +0100

On Mon, Nov 26, 2018 at 11:06:29AM +1100, Stephen Rothwell wrote:
> Introduced by commit
> 
>   cf8cddd38bab3 ("btrfs: don't abuse REQ_OP_* flags for btrfs_map_block")
> 
> exposed by my new use of -Wimplicit-fallthrough
> 
> I am not sure why this has only turned up now (as opposed to earlier
> today).

It looks like something only in linux-next moved the code around a bit.

Either way the fallthough looks fine, it will just need a little
/*FALLTHRU*/ annotation.